# -*- Mode: Python; tab-width: 4 -*-

import layout
import mvc_menubar
import cell_scroll
import mvc_button

# File       Help
#   Open       About
#   Exit

# need to create a file chooser
# need to tie sequence-of-push-buttons to menu view

class file_viewer (layout.container):

	def create (*args):
		self = apply (layout.container.create, args)

		tc = cell_scroll.text_component (parent=self).create()
		mb = menubar.button_bar_component (parent=self).create()

		mb.make_push_buttons (self, 'File', 'Help')

		bl = layout.border_layout (self)
		bl.add (mb, 'north')
		bl.add (tc, 'center')

		tc.set_contents ([])
		tc.show_window()
		mb.show_window()

		return self

	def notify (self, model, hint):
		print 'file_viewer notify', model, hint

def test():
	w = file_viewer ('File Viewer').create()
	w.show_window()
	return w
	

if __name__ == '__main__':
	import msgloop
	test()
	msgloop.go()
